package ink.wgink.module.activiti.enums.oa.field;

/**
 * @ClassName: FieldEditRecordEnmu
 * @Description: 字段编辑历史
 * @Author: wanggeng
 * @Date: 2022/4/25 11:15
 * @Version: 1.0
 */
public enum FieldEditRecordEnum {
    NO_RECORD("noRecord", "不记录"),
    LATEST("latest", "最新"),
    ALL("all", "全部");

    private String value;
    private String text;

    FieldEditRecordEnum(String value, String text) {
        this.value = value;
        this.text = text;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getText() {
        return text == null ? "" : text.trim();
    }
}
